<?php
/**
 * Created by PhpStorm.
 * User: leonardocarvalho
 * Date: 26/01/2016
 * Time: 14:21
 */

namespace Teknisa\SM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class BirtReport extends \Zeedhi\Framework\Controller\Report {

    public function __construct(ReportService $reportService) {
        parent::__construct($reportService);
    }

    /** @var array  */
    protected $reportMapping = array (
        
        'Previa_Proposta' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'          => 'P_NRORG',
                'NRSEQORCAMENTO' => 'P_NRSEQORCAMENTO'
            ),
        ),
        
        'Previa_Proposta_sem_desconto' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'          => 'P_NRORG',
                'NRSEQORCAMENTO' => 'P_NRSEQORCAMENTO'
            ),
        ),
        
        'documento_proposta' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'           => 'P_NRORG',
                'NRSEQORCAMENTO'  => 'P_NRSEQORCAMENTO',
                'NRTIPOORCAMENTO' => 'P_NRTIPOORCAMENTO'
            ),
        ),
        
        'memoria_calculo_proposta' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRSEQORCAMENTO' => 'P_NRSEQORCAMENTO',
                'NRORG'          => 'P_NRORG'
            ),
        ),
        
        'DRC' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'         => 'P_NRORG',
                'INIAPURACAO'   => 'P_INIAPURACAO',
                'FIMAPURACAO'   => 'P_FIMAPURACAO',
                'NRSEQCONTRATO' => 'P_NRSEQCONTRATO',
                'UNIDADE'       => 'P_UNIDADE',
                'PARCNEGOCIO'   => 'P_PARCNEGOCIO',
                'CENTCUST'      => 'P_CENTCUST'
            ),
        ),
        
        'recursos_final_agendamento' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'NRORG'              => 'NRORG',
                'P_QTDIASDESALOCREC' => 'P_QTDIASDESALOCREC'
            ),
        ),
        
        'medicao_faturamento' => array (
            'strategy'         => 'BIRT',
            'parameterMapping' => array (
                'P_NRSEQCONTRATO'  => 'P_NRSEQCONTRATO',
                'P_NRVENCPREVCONT' => 'P_NRVENCPREVCONT',
                'P_NRORG'          => 'P_NRORG'
            ),
        ),

        'Local_Atendimento_Contrato' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                'NRSEQCONTRATO'      => 'P_CONTRATO',
                'NRPARCNEGOCIO'      => 'P_NRPARCNEGOCIO',
                'NRFORMPRECOSERVICO' => 'P_PLANILHA',
                'NRCALCFORMSERVPREC' => 'P_ITEM',
                'NRESTRUTURAM'       => 'P_ESTRUTURA',
                "NRORG"              => 'P_NRORG' 
            )
        ),

        'Local_Atendimento_Contrato_Medida' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                'NRSEQCONTRATO'      => 'P_CONTRATO',
                'NRPARCNEGOCIO'      => 'P_NRPARCNEGOCIO',
                'NRFORMPRECOSERVICO' => 'P_PLANILHA',
                'NRCALCFORMSERVPREC' => 'P_ITEM',
                'NRESTRUTURAM'       => 'P_ESTRUTURA',
                "NRORG"              => 'P_NRORG' 
            )
        ),
        
        'Log_Apuracao_Automatica' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                "NRORG" => 'NRORG'
            )
        ),
        
        'contratos_renovados_automaticamente' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                "NRORG" => "NRORG"
            )
        ),
        
         "contratos_reajustados_automaticamente" => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                "NRORG" => "NRORG"
            )
        ),
        
        'contratos_vencidos_sem_renovacao_auto' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                "PERIODO" => "PERIODO",
                "NRORG" => "NRORG"
            )
        ),
        
        'medicoes_nao_calculadas' => array(
            'strategy' => 'BIRT',
            'parameterMapping' => array(
                "QTDIASANTEFIM" => 'QTDIASANTEFIM',
                "NRORG" => 'NRORG'
            )
        ),
        
        'medicoes_calculadas_qtde_contratual' => array(
            'strategy' => 'BIRT',
            'parameterMapping' => array(
                "P_NRORG" => 'P_NRORG'
            )
        )
    );

}