<?php

namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\IntegracaoTecfoodService;

class IntegracaoTecfoodController extends SMCrud {
    
    protected $integracaoService;
    
    public function __construct ($crudService, $environment, IntegracaoTecfoodService $integracaoService) {
        parent::__construct($crudService, $environment);
        $this->integracaoService  = $integracaoService;
    }
    
    /**
     * @param Request\Row $request
     */
    public function integraServicosTecfood(Request $request, Response $response) {
        try {
            $row = $request->getRow();
            $nrseqcontrato = $row["NRSEQCONTRATO"];

            $result = $this->integracaoService->integraServicosTecfood($nrseqcontrato);

            $response->addDataSet(new DataSet("integraServicosTecfood", array("resultado" => $result)));
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }

}

?>