IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'CONSULTA_INUTILIZACAO_NFE'
             AND TYPE = 'TF'
             AND U.UID = O.UID
             AND U.NAME = USER)
DROP FUNCTION CONSULTA_INUTILIZACAO_NFE
GO

CREATE FUNCTION CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA VARCHAR(2),
                                          @P_NRINSJURIEST VARCHAR(20),
                                          @P_CDINSCESTA VARCHAR(16),
                                          @P_CDINSCMUNI VARCHAR(16),
                                          @P_CDSERIENFE VARCHAR(5),
                                          @P_IDTPAMBIENTENFE VARCHAR(1),
                                          @P_MODOPERACIONAL VARCHAR(1))
returns @TMP_INUTILIZACAO_NFE table
(
   NRNOTAFISCALELE           INTEGER
)
AS
BEGIN
   IF(@P_MODOPERACIONAL = 3) BEGIN
      INSERT INTO @TMP_INUTILIZACAO_NFE (NRNOTAFISCALELE)
      SELECT CONVERT(INTEGER, NRNOTAFISCALELE) AS NRNOTAFISCALELE
        FROM NOTAFISCAL, INSCRESTAD,
             (SELECT CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE
                FROM (SELECT CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE
                        FROM SERIENF
                       WHERE CDEMPRESA = @P_CDEMPRESA
                         AND CDINSCESTA = @P_CDINSCESTA
                         AND CDINSCMUNI = @P_CDINSCMUNI
                         AND CDSERIENFESCAN = @P_CDSERIENFE
                      UNION ALL
                      SELECT @P_CDEMPRESA AS CDEMPRESA, @P_CDINSCESTA AS CDINSCESTA, @P_CDINSCMUNI AS CDINSCMUNI, CDSERIEENTR AS CDSERIE
                        FROM SERIEENTR
                       WHERE CDSERIEENTSCAN = @P_CDSERIENFE) SERIE
               GROUP BY CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE) SERIE
       WHERE INSCRESTAD.CDEMPRESA = NOTAFISCAL.CDEMPRESA
         AND INSCRESTAD.CDINSCESTA = NOTAFISCAL.CDINSCESTA
         AND SERIE.CDEMPRESA = NOTAFISCAL.CDEMPRESA
         AND SERIE.CDINSCESTA = NOTAFISCAL.CDINSCESTA
         AND SERIE.CDINSCMUNI = NOTAFISCAL.CDINSCMUNI
         AND SERIE.CDSERIE = ISNULL(NOTAFISCAL.CDSERIE, NOTAFISCAL.CDSERIEENTR)
         AND NOTAFISCAL.CDEMPRESA = @P_CDEMPRESA
         AND ISNULL(NOTAFISCAL.NRINSJURIEST, INSCRESTAD.NRINSJURIEST) = @P_NRINSJURIEST 
         AND IDTIPOEMISNFE = '3'
         AND NOTAFISCAL.IDNFGERADAVIAXML <> 'S'
         AND NOTAFISCAL.IDTPAMBNFE IN ('0', @P_IDTPAMBIENTENFE)
      UNION ALL
      SELECT CONVERT(INTEGER, NRINUTILNFELE) AS NRNOTAFISCALELE
        FROM NUMINUTILNFELE
       WHERE CDEMPRESA = @P_CDEMPRESA
         AND NRINSJURIESTNFE = @P_NRINSJURIEST
         AND CDSERIE = @P_CDSERIENFE
         AND ISNULL(IDTPEMISINUTIL, '1') <> '3'
         AND IDTPAMBNFENUM IN ('0', @P_IDTPAMBIENTENFE);
   END
   ELSE BEGIN
      INSERT INTO @TMP_INUTILIZACAO_NFE (NRNOTAFISCALELE)
      SELECT CONVERT(INTEGER, NRNOTAFISCALELE) AS NRNOTAFISCALELE
        FROM NOTAFISCAL, INSCRESTAD,
             (SELECT CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE
                FROM (SELECT CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE
                        FROM SERIENF
                       WHERE CDEMPRESA = @P_CDEMPRESA
                         AND CDINSCESTA = @P_CDINSCESTA
                         AND CDINSCMUNI = @P_CDINSCMUNI
                         AND CDSERIENFE = @P_CDSERIENFE
                      UNION ALL
                      SELECT @P_CDEMPRESA AS CDEMPRESA, @P_CDINSCESTA AS CDINSCESTA, @P_CDINSCMUNI AS CDINSCMUNI, CDSERIEENTR AS SERIE
                        FROM SERIEENTR
                       WHERE CDSERIEENTRNFE = @P_CDSERIENFE) SERIE
               GROUP BY CDEMPRESA, CDINSCESTA, CDINSCMUNI, CDSERIE) SERIE
       WHERE INSCRESTAD.CDEMPRESA = NOTAFISCAL.CDEMPRESA
         AND INSCRESTAD.CDINSCESTA = NOTAFISCAL.CDINSCESTA
         AND SERIE.CDEMPRESA = NOTAFISCAL.CDEMPRESA
         AND SERIE.CDINSCESTA = NOTAFISCAL.CDINSCESTA
         AND SERIE.CDINSCMUNI = NOTAFISCAL.CDINSCMUNI
         AND SERIE.CDSERIE = ISNULL(NOTAFISCAL.CDSERIE, NOTAFISCAL.CDSERIEENTR)
         AND NOTAFISCAL.CDEMPRESA = @P_CDEMPRESA
         AND ISNULL(NOTAFISCAL.NRINSJURIEST, INSCRESTAD.NRINSJURIEST) = @P_NRINSJURIEST 
         AND IDTIPOEMISNFE <> '3'
         AND NOTAFISCAL.IDNFGERADAVIAXML <> 'S'
         AND NOTAFISCAL.IDTPAMBNFE IN ('0', @P_IDTPAMBIENTENFE)
      UNION ALL
      SELECT CONVERT(INTEGER, NRINUTILNFELE) AS NRNOTAFISCALELE
        FROM NUMINUTILNFELE
       WHERE CDEMPRESA = @P_CDEMPRESA
         AND NRINSJURIESTNFE = @P_NRINSJURIEST
         AND CDSERIE = @P_CDSERIENFE
         AND ISNULL(IDTPEMISINUTIL, '1') <> '3'
         AND IDTPAMBNFENUM IN ('0', @P_IDTPAMBIENTENFE)
   END;
   RETURN;
END;
GO


IF EXISTS (SELECT *
             FROM sysobjects O, sysusers U
            WHERE o.name = 'INUTILIZACAO_NFE'
              AND type = 'P'
              AND u.uid = o.uid
              AND u.name = USER)
   DROP PROCEDURE INUTILIZACAO_NFE;
GO

CREATE PROCEDURE INUTILIZACAO_NFE (@P_CDEMPRESA VARCHAR(2),
                                   @P_NRINSJURIEST VARCHAR(20),
                                   @P_CDINSCESTA VARCHAR(16),
                                   @P_CDINSCMUNI VARCHAR(16),
                                   @P_CDSERIENFE VARCHAR(5),
                                   @P_IDTPAMBIENTENFE VARCHAR(1),
                                   @P_MODOPERACIONAL VARCHAR(1),
                                   @P_GERAL VARCHAR(1) = 'N')
AS
   DECLARE @V_INI_INTERVALO     INTEGER;
   DECLARE @V_FIM_INTERVALO     INTEGER;
   DECLARE @V_SOMA_INTERVALO    INTEGER;
   DECLARE @V_AUXILIAR          INTEGER;
   DECLARE @V_NRGRAVAINTINUTNFE INTEGER;
   DECLARE @V_NRSEQUENCIAL      VARCHAR(20);

   /* DECLARAO DO CURSOR C_NRNOTAFISCALELE*/
   DECLARE @C_INTERVALO_NRINICIAL INTEGER;
   DECLARE @C_INTERVALO_NRFINAL   INTEGER;

   /* DECLARAO DO CURSOR C_INSCRESTAD*/
   DECLARE @C_INSCRESTAD_CDEMPRESA       VARCHAR(2)
   DECLARE @C_INSCRESTAD_CDINSCESTA      VARCHAR(16);
   DECLARE @C_INSCRESTAD_NRINSJURIEST    VARCHAR(20);
   DECLARE @C_INSCRESTAD_CDINSCMUNI      VARCHAR(16);
   DECLARE @C_INSCRESTAD_IDTPAMBIENTENFE VARCHAR(1);
   DECLARE @C_INSCRESTAD_CDSERIE         VARCHAR(5);
   DECLARE @C_INSCRESTAD_CDSERIENFE      VARCHAR(5);
   DECLARE @C_INSCRESTAD_CDSERIENFESCAN  VARCHAR(5);
BEGIN
   SET @V_INI_INTERVALO     = 0;
   SET @V_FIM_INTERVALO     = 0;
   SET @V_SOMA_INTERVALO    = 0;
   SET @V_AUXILIAR          = 0;
   SET @V_NRGRAVAINTINUTNFE = 0;
   SET @V_NRSEQUENCIAL      = NULL;
   IF ISNULL(@P_GERAL, 'N') = 'N' BEGIN
      DELETE 
        FROM GRAVAINTINUTNFE
       WHERE CDEMPRESA = @P_CDEMPRESA
         AND NRCNPJINSESTNFE = @P_NRINSJURIEST
         AND CDSERNFE = @P_CDSERIENFE
         AND IDTPAMBIENTENFE = @P_IDTPAMBIENTENFE;
      IF @P_MODOPERACIONAL = '3' BEGIN
         DECLARE C_INTERVALO CURSOR FOR SELECT (SELECT ISNULL(MAX(N3.NRNOTAFISCALELE) + 1, 1)
                                       FROM (SELECT NRNOTAFISCALELE
                                               FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                              @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N3
                                      WHERE N3.NRNOTAFISCALELE < N1.NRNOTAFISCALELE)
                                         NRINICIAL, (N1.NRNOTAFISCALELE - 1) NRFINAL
                                       FROM (SELECT NRNOTAFISCALELE
                                               FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                              @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N1
                                              WHERE N1.NRNOTAFISCALELE <> 1
                                                AND NOT EXISTS (SELECT N2.NRNOTAFISCALELE
                                                                  FROM (SELECT NRNOTAFISCALELE
                                                                          FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                                                         @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N2
                                                                         WHERE N2.NRNOTAFISCALELE = N1.NRNOTAFISCALELE - 1)
                                      ORDER BY NRINICIAL;
         OPEN C_INTERVALO;
         FETCH NEXT FROM C_INTERVALO INTO @C_INTERVALO_NRINICIAL, @C_INTERVALO_NRFINAL;
         WHILE (@@FETCH_STATUS = 0) BEGIN
            SET @V_AUXILIAR = @C_INTERVALO_NRFINAL - @C_INTERVALO_NRINICIAL;
            IF @V_AUXILIAR > 1000 BEGIN
               WHILE @V_AUXILIAR > 1000 BEGIN
                  SET @V_INI_INTERVALO = @C_INTERVALO_NRINICIAL + @V_SOMA_INTERVALO;
                  SET @V_FIM_INTERVALO = @V_INI_INTERVALO + 999;
                  INSERT INTO GRAVAINTINUTNFE
                     (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
                  VALUES
                     (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_INI_INTERVALO), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_FIM_INTERVALO), 9));
                  SET @V_AUXILIAR = @V_AUXILIAR - 1000;
                  SET @V_SOMA_INTERVALO = @V_SOMA_INTERVALO + 1000;
               END;
               IF @V_AUXILIAR > 0 BEGIN
                  SET @V_INI_INTERVALO = @V_FIM_INTERVALO + 1;
                  SET @V_FIM_INTERVALO = @V_INI_INTERVALO + @V_AUXILIAR;
                  INSERT INTO GRAVAINTINUTNFE
                     (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
                  VALUES
                     (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_INI_INTERVALO), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_FIM_INTERVALO), 9));
               END;
               SET @V_SOMA_INTERVALO = 0;
            END ELSE BEGIN
               INSERT INTO GRAVAINTINUTNFE
                  (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
               VALUES
                  (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @C_INTERVALO_NRINICIAL), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @C_INTERVALO_NRFINAL), 9));
            END;
            FETCH NEXT FROM C_INTERVALO INTO @C_INTERVALO_NRINICIAL, @C_INTERVALO_NRFINAL;
         END;
         CLOSE C_INTERVALO;
         DEALLOCATE C_INTERVALO;
      END ELSE BEGIN
         DECLARE C_INTERVALO CURSOR FOR SELECT (SELECT ISNULL(MAX(N3.NRNOTAFISCALELE) + 1, 1)
                                       FROM (SELECT NRNOTAFISCALELE
                                               FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                              @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N3
                                      WHERE N3.NRNOTAFISCALELE < N1.NRNOTAFISCALELE)
                                         NRINICIAL, (N1.NRNOTAFISCALELE - 1) NRFINAL
                                       FROM (SELECT NRNOTAFISCALELE
                                               FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                              @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N1
                                              WHERE N1.NRNOTAFISCALELE <> 1
                                                AND NOT EXISTS (SELECT N2.NRNOTAFISCALELE
                                                                  FROM (SELECT NRNOTAFISCALELE
                                                                          FROM CONSULTA_INUTILIZACAO_NFE(@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDINSCESTA,
                                                                                                         @P_CDINSCMUNI, @P_CDSERIENFE, @P_IDTPAMBIENTENFE, @P_MODOPERACIONAL)) N2
                                                                         WHERE N2.NRNOTAFISCALELE = N1.NRNOTAFISCALELE - 1)
                                      ORDER BY NRINICIAL;
         OPEN C_INTERVALO;
         FETCH NEXT FROM C_INTERVALO INTO @C_INTERVALO_NRINICIAL, @C_INTERVALO_NRFINAL;
         WHILE (@@FETCH_STATUS = 0) BEGIN
            SET @V_AUXILIAR = @C_INTERVALO_NRFINAL - @C_INTERVALO_NRINICIAL;
            IF @V_AUXILIAR > 1000 BEGIN
               WHILE @V_AUXILIAR > 1000 BEGIN
                  SET @V_INI_INTERVALO = @C_INTERVALO_NRINICIAL + @V_SOMA_INTERVALO;
                  SET @V_FIM_INTERVALO = @V_INI_INTERVALO + 999;
                  INSERT INTO GRAVAINTINUTNFE
                     (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
                  VALUES
                     (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_INI_INTERVALO), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_FIM_INTERVALO), 9));
                  SET @V_AUXILIAR = @V_AUXILIAR - 1000;
                  SET @V_SOMA_INTERVALO = @V_SOMA_INTERVALO + 1000;
               END;
               IF @V_AUXILIAR > 0 BEGIN
                  SET @V_INI_INTERVALO = @V_FIM_INTERVALO + 1;
                  SET @V_FIM_INTERVALO = @V_INI_INTERVALO + @V_AUXILIAR;
                  INSERT INTO GRAVAINTINUTNFE
                     (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
                  VALUES
                     (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_INI_INTERVALO), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @V_FIM_INTERVALO), 9));
               END;
               SET @V_SOMA_INTERVALO = 0;
            END ELSE BEGIN
               INSERT INTO GRAVAINTINUTNFE
                  (CDEMPRESA, NRCNPJINSESTNFE, CDSERNFE, INTERVALOINI, INTERVALOFIN)
               VALUES
                  (@P_CDEMPRESA, @P_NRINSJURIEST, @P_CDSERIENFE, RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @C_INTERVALO_NRINICIAL), 9), RIGHT(REPLICATE('0', 9) + CONVERT(VARCHAR(9), @C_INTERVALO_NRFINAL), 9));
            END;
            FETCH NEXT FROM C_INTERVALO INTO @C_INTERVALO_NRINICIAL, @C_INTERVALO_NRFINAL;
         END;
         CLOSE C_INTERVALO;
         DEALLOCATE C_INTERVALO;
      END;
   END ELSE BEGIN
      IF ISNULL(@P_GERAL, 'N') = 'S' BEGIN
         DELETE FROM GRAVAINTINUTNFE;
         DECLARE C_INSCRESTAD CURSOR FOR (SELECT INSCRESTAD.CDEMPRESA, INSCRESTAD.CDINSCESTA, INSCRESTAD.NRINSJURIEST, INSCRMUNICIP.CDINSCMUNI,
                                                 INSCRESTAD.IDTPAMBIENTENFE, SERIENF.CDSERIE, SERIENF.CDSERIENFE, SERIENF.CDSERIENFESCAN
                                            FROM INSCRESTAD, INSCRMUNICIP, SERIENF, PARAMEMPRESA
                                           WHERE INSCRMUNICIP.CDEMPRESA = INSCRESTAD.CDEMPRESA
                                             AND INSCRESTAD.CDEMPRESA = PARAMEMPRESA.CDEMPRESA
                                             AND SERIENF.CDEMPRESA = INSCRESTAD.CDEMPRESA
                                             AND SERIENF.CDINSCESTA = INSCRESTAD.CDINSCESTA
                                             AND SERIENF.CDINSCMUNI = INSCRMUNICIP.CDINSCMUNI
                                             AND INSCRESTAD.NRSERIECERTIFIC IS NOT NULL
                                             AND SERIENF.CDSERIENFE IS NOT NULL
                                             AND ISNULL(PARAMEMPRESA.IDEMPUTILIZANFE, 'N') = 'S');
         OPEN C_INSCRESTAD;
         FETCH NEXT FROM C_INSCRESTAD INTO @C_INSCRESTAD_CDEMPRESA,
                                           @C_INSCRESTAD_CDINSCESTA,
                                           @C_INSCRESTAD_NRINSJURIEST,
                                           @C_INSCRESTAD_CDINSCMUNI,
                                           @C_INSCRESTAD_IDTPAMBIENTENFE,
                                           @C_INSCRESTAD_CDSERIE,
                                           @C_INSCRESTAD_CDSERIENFE,
                                           @C_INSCRESTAD_CDSERIENFESCAN;
         WHILE (@@FETCH_STATUS = 0) BEGIN
            IF @C_INSCRESTAD_CDSERIENFE IS NOT NULL BEGIN
               SELECT @V_NRSEQUENCIAL = NRSEQUENCIAL
                 FROM NOVOCODIGO
                WHERE CDCONTADOR LIKE 'NOTAFISCALELE' + @C_INSCRESTAD_CDEMPRESA + @C_INSCRESTAD_NRINSJURIEST + @C_INSCRESTAD_CDSERIENFE + @C_INSCRESTAD_IDTPAMBIENTENFE;
               IF (@V_NRSEQUENCIAL IS NOT NULL) OR (@V_NRSEQUENCIAL <> '') BEGIN
                  SELECT @V_NRGRAVAINTINUTNFE = COUNT(*)
                    FROM GRAVAINTINUTNFE
                   WHERE CDEMPRESA = @C_INSCRESTAD_CDEMPRESA
                     AND NRCNPJINSESTNFE = @C_INSCRESTAD_NRINSJURIEST
                     AND CDSERNFE = @C_INSCRESTAD_CDSERIENFE
                     AND IDTPAMBIENTENFE = @C_INSCRESTAD_IDTPAMBIENTENFE;
                  IF @V_NRGRAVAINTINUTNFE = 0 BEGIN
                     -- MODELO OPERACIONAL NORMAL
                     EXEC INUTILIZACAO_NFE @C_INSCRESTAD_CDEMPRESA, 
                                           @C_INSCRESTAD_NRINSJURIEST, 
                                           @C_INSCRESTAD_CDINSCESTA, 
                                           @C_INSCRESTAD_CDINSCMUNI, 
                                           @C_INSCRESTAD_CDSERIENFE, 
                                           @C_INSCRESTAD_IDTPAMBIENTENFE, 
                                           '1', 
                                           'N';
                  END;
               END;
            END;
            IF @C_INSCRESTAD_CDSERIENFESCAN IS NOT NULL BEGIN
               SELECT @V_NRSEQUENCIAL = NRSEQUENCIAL
                 FROM NOVOCODIGO
                WHERE CDCONTADOR LIKE 'NOTAFISCALELE' + @C_INSCRESTAD_CDEMPRESA + @C_INSCRESTAD_NRINSJURIEST + @C_INSCRESTAD_CDSERIENFESCAN + @C_INSCRESTAD_IDTPAMBIENTENFE;
               IF (@V_NRSEQUENCIAL IS NOT NULL) OR (@V_NRSEQUENCIAL <> '') BEGIN
                  SELECT @V_NRGRAVAINTINUTNFE = COUNT(*)
                    FROM GRAVAINTINUTNFE
                   WHERE CDEMPRESA = @C_INSCRESTAD_CDEMPRESA
                     AND NRCNPJINSESTNFE = @C_INSCRESTAD_NRINSJURIEST
                     AND CDSERNFE = @C_INSCRESTAD_CDSERIENFESCAN
                     AND IDTPAMBIENTENFE = @C_INSCRESTAD_IDTPAMBIENTENFE;
                  IF @V_NRGRAVAINTINUTNFE = 0 BEGIN
                     -- MODELO OPERACIONAL SCAN
                     EXEC INUTILIZACAO_NFE @C_INSCRESTAD_CDEMPRESA, 
                                           @C_INSCRESTAD_NRINSJURIEST, 
                                           @C_INSCRESTAD_CDINSCESTA, 
                                           @C_INSCRESTAD_CDINSCMUNI, 
                                           @C_INSCRESTAD_CDSERIENFESCAN, 
                                           @C_INSCRESTAD_IDTPAMBIENTENFE, 
                                           '3', 
                                           'N';
                  END;
               END;
            END;
            FETCH NEXT FROM C_INSCRESTAD INTO @C_INSCRESTAD_CDEMPRESA,
                                              @C_INSCRESTAD_CDINSCESTA,
                                              @C_INSCRESTAD_NRINSJURIEST,
                                              @C_INSCRESTAD_CDINSCMUNI,
                                              @C_INSCRESTAD_IDTPAMBIENTENFE,
                                              @C_INSCRESTAD_CDSERIE,
                                              @C_INSCRESTAD_CDSERIENFE,
                                              @C_INSCRESTAD_CDSERIENFESCAN;
         END;
         CLOSE C_INSCRESTAD;
         DEALLOCATE C_INSCRESTAD;
      END;
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'INUTILIZACAO_NFE','6.05.xxx';
GO